Summary:        Retrieve names of code references
Name:           perl-Sub-Identify
Version:        0.14
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sub-Identify
Source0:        https://cpan.metacpan.org/authors/id/R/RG/RGARCIA/Sub-Identify-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-interpreter perl-devel perl(Config)
BuildRequires:  perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(B) perl(Exporter) perl(strict) perl(XSLoader)
BuildRequires:  perl(feature) perl(List::Util) 
BuildRequires:  perl(Test::More) perl(warnings)
Requires:       perl(XSLoader) perl(B)

%{?perl_default_filter}

%description
This perl module allows you to retrieve the real name of code references as well as 
their original package and location. See the module's POD documentation for examples.

%prep
%autosetup -n Sub-Identify-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.mdown TODO.mdown 
%{perl_vendorarch}/auto/Sub/
%{perl_vendorarch}/Sub/
%{_mandir}/man3/Sub::Identify.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.14-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 23 2022 Wang Zhe <bessiewang@tencent.com> - 0.14-1
- initial build
